Summary:	Download and Convert online videos
Name:		clipgrab
Version:	3.2.0.9
Release:	%mkrel 2
License:	GPLv3
Group:		Video/Editors and Converters
Url:		http://clipgrab.de/en
Source0:	http://clipgrab.de/download/%{name}-%{version}.tar.bz2

BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	imagemagick

Requires:	ffmpeg

%description
ClipGrab is a GPLv3 licenced, free and cost-free software for downloading
and converting online videos 

%description -l de
ClipGrab ist eine GPLv3-lizensierte, freie und kostenlose Software
zum Herunterladen und zur Konvertierung von Online-Videos 


%prep
%setup -q


%build
%qmake_qt4 clipgrab.pro
%make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/clipgrab
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -D -m755 clipgrab %{buildroot}%{_bindir}
install -D -m644 *.qm %{buildroot}%{_datadir}/clipgrab/
install -D -m644 *.ts %{buildroot}%{_datadir}/clipgrab/
install -D -m644 *.png %{buildroot}%{_datadir}/clipgrab/

install -D -m644 icon.png %{buildroot}%{_iconsdir}/%name.png
convert -geometry 32x32 icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 16x16 icon.png %{buildroot}%{_miconsdir}/%{name}.png

cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
GenericName=ClipGrab
Name=ClipGrab
Comment=Use ClipGrab to download and convert online videos
Comment[ca]=Empreu ClipGrab per descarregar i convertir vídeos online.
Comment[cs]=Použijte program ClipGrap pro stažení a konverzi online videí
Comment[de]=Benutzen Sie ClipGrab, um Online-Videos herunterzuladen und zu konvertieren.
Comment[el]=Λήψη και μετατροπή βίντεο από το διαδίκτυο
Comment[es]=Utilice ClipGrab para descargar y convertir videos de la red
Comment[et]=ClipGrab aitab videoid veebist alla laadida ja teisendada.
Comment[fr]=Utilisez ClipGrad pour télécharger et convertir des vidéos d'Internet
Comment[it]=Utilizzare ClipGrab per scaricare e convertire i video
Comment[nl]=Gebruik ClipGrab om online videos te downloaden en converteren
Comment[pl]=Użyj programu ClipGrab do pobrania i konwersji filmów online
Comment[sl]=Uporabite ClipGrab za prenos in pretvorbo spletnih videov
Comment[uk]=Скористатися ClipGrab для отримання та перетворення інтернет-відео
Comment[zh_TW]=使用 ClipGrab 來下載並轉換線上影片
Exec=clipgrab
Icon=clipgrab
Path=/usr/bin/clipgrab
Type=Application
StartupNotify=true
Categories=AudioVideo;Recorder;X-Mageia-CrossDesktop;
EOF

%files
%doc licence.odt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.2.0.9-2.mga3
+ Revision: 347884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + blue_prawn <blue_prawn>
    - only one Summary field is probably enough

* Sun Sep 30 2012 obgr_seneca <obgr_seneca> 3.2.0.9-1.mga3
+ Revision: 300806
- Adapted group to new policy

  + dglent <dglent>
    - New version 3.2.0.9
    - Drop patch clipgrab-3.2.0.6-mga-remove-nonexisting-images.patch (fixed upstream)
    - Spec cleanup

* Mon Jun 18 2012 obgr_seneca <obgr_seneca> 3.2.0.6-1.mga3
+ Revision: 261692
- New version 3.2.0.6
- added missing br for graphviz
- removed extra desktop file, upstream does provide one now

* Thu Mar 22 2012 obgr_seneca <obgr_seneca> 3.1.3.0-3.mga2
+ Revision: 225668
- added translations to desktop file
- added translations to desktop file

* Mon Mar 19 2012 obgr_seneca <obgr_seneca> 3.1.3.0-2.mga2
+ Revision: 224443
- replaced X-MandrivaLinux-CrossDesktop by X-Mageia-CrossDesktop in desktop file

* Wed Jan 04 2012 obgr_seneca <obgr_seneca> 3.1.3.0-1.mga2
+ Revision: 190769
- new version 3.1.3.0

* Sun Dec 18 2011 fwang <fwang> 3.1.0.2-2.mga2
+ Revision: 183658
- br qtwebkit

* Tue Oct 04 2011 obgr_seneca <obgr_seneca> 3.1.0.2-1.mga2
+ Revision: 151477
- New version

* Sat Mar 12 2011 obgr_seneca <obgr_seneca> 3.1.0.1-2.mga1
+ Revision: 68338
- imported package clipgrab

